Member groups not listed in project page

2013-01-10 12:53 - Scott Roland

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Groups Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

When I go to a project page:

 http://foo.com/projects/bar

It list the Members with their roles, but it does not list the Groups and their roles. This would be quite useful.

Related issues:

Related to Redmine - Feature #12795: View group members by non-admin users Closed

Related to Redmine - Feature #33174: Show groups in members box on project ov... Closed

History

#1 - 2013-01-10 13:05 - Scott Roland

The listed groups should link to their individual group pages. This would require Bug #12795 (Non-admin users cannot get info about groups).

#2 - 2013-03-19 15:03 - Bruno Spyckerelle

I strongly vote for this feature too !

#3 - 2020-02-11 15:40 - Yuuki NARA

+1

I think this feature is needed.

In Lotus Notes, each DB could have role-based access rights specified by group or user,

and the group name and role were displayed as attributes of the DB.

With this information, the user was able to determine which settings were used to assign each authority,

and requested the necessary changes.

#4 - 2020-02-12 17:12 - Yuuki NARA

- File pj_summary_members.png added

I modified the PJ summary member list display code using the code on the PJ member setting screen.

We can now display the group definition settings during member settings on the PJ summary screen.

There are still some points that are not enough, but we propose one of them.

(I want to express the group definition contents, inheritance from the upper level PJ, etc.)

copy code to

app/views/projects/_members.html.erb

from

app/views/projects/settings/_members.html.erb
#5 - 2020-03-20 01:24 - Go MAEDA

- Related to Feature #33174: Show groups in members box on project overview page added

#6 - 2020-06-04 16:34 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Implemented by #33174. In the forthcoming Redmine 4.2, groups also appear in the Members box.
